exercise_04_33: exercise_04_33.o | .gitignore
	g++ $^ -o $@ 

exercise_04_33.ii: exercise_04_33.cpp
	g++ -E $^ -o $@

exercise_04_33.s: exercise_04_33.ii
	g++ -S $^ -o $@

exercise_04_33.o: exercise_04_33.s
	g++ -c $^ -o $@

.gitignore:
	echo "exercise_04_33" > $@
		    
clean:
	rm -rf *.ii *.s *.o *.out exercise_04_33 .gitignore 

test: exercise_04_33 
	@./exercise_04_33 < test.in > test.out
	@diff test2.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

test1: exercise_04_33 
	@./exercise_04_33 < test1.in > test1.out
	@diff test1.out test1.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

.PRECIOUS: exercise_04_33.ii exercise_04_33.s
.SECONDARY: exercise_04_33.ii exercise_04_33.s

